Page MenuHomePhabricator

Add es-formal and hu-formal to excluded monolingual text codes
Closed, ResolvedPublic2 Story Points

Description

We currently exclude de-formal and nl-informal from being used for monolingual text because they're about the interface not the content. Since then, es-formal and hu-formal have also been enabled as interface languages and those should be excluded too.

Event Timeline

Nikki created this task.Sep 1 2018, 11:53 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 1 2018, 11:53 AM

Change 456909 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/extensions/Wikibase@master] Exclude es-formal and hu-formal from the list of languages

https://gerrit.wikimedia.org/r/456909

Lydia_Pintscher triaged this task as Normal priority.Sep 4 2018, 12:38 PM
Lydia_Pintscher moved this task from Incoming to Ready to estimate on the Wikidata-Campsite board.
Jonas set the point value for this task to 2.Sep 4 2018, 1:12 PM
Jonas moved this task from Ready to estimate to In Progress on the Wikidata-Campsite board.
Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptSep 10 2018, 8:57 AM

Change 456909 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Exclude es-formal and hu-formal from the list of languages

https://gerrit.wikimedia.org/r/456909

Shall we wait till the wmf.22 train arrives to Wikidata to test if this worked before marking this task as resolved? Thanks.

Addshore moved this task from incoming to in progress on the Wikidata board.Sep 17 2018, 8:21 AM

I did some tests today. I could add a label for es-formal, so I'm not sure if this is working as expected.

Labels are separate from monolingual text statements (see T51024 for disallowing de-formal for labels)

es-formal is still showing up for monolingual text statements though, I was able to do https://www.wikidata.org/w/index.php?diff=748537892 just now.

Thanks for clarifying. Shall I file a task to disable es-formal, nl-informal and hu-formal labels as well?

Also, wmf.22 is only on group0 wikis, it'll arrive to group1 today and group2 tomorrow. I think Wikidata is in group1 so we'll see in the next hours.

Thanks for clarifying. Shall I file a task to disable es-formal, nl-informal and hu-formal labels as well?

If that is desired then yes!

Also, wmf.22 is only on group0 wikis, it'll arrive to group1 today and group2 tomorrow. I think Wikidata is in group1 so we'll see in the next hours.

Tested on test, and it looks like it works! :)


I'll let @Lydia_Pintscher move this ticked along the board though :)

Nikki added a comment.Sep 22 2018, 2:48 PM

Yep, it's gone. :)

Thanks for clarifying. Shall I file a task to disable es-formal, nl-informal and hu-formal labels as well?

Maybe it would be better to expand the scope of the existing ticket? The formal/informal variants all need the same solution, a different content language from the UI language plus preventing the UI language from being used for content.